<br><br>
<nav class="navbar navbar-expand-lg navbar-light" style="background-color: #e3f2fd; margin-top: 30px;">
  <div class="container-fluid">
    <a class="navbar-brand" href="#">Formation</a>
    <button
      class="navbar-toggler"
      type="button"
      aria-expanded="false"
      aria-label="Toggle navigation"
    >
      <i class="fas fa-bars"></i>
    </button>
    <div
      class="collapse navbar-collapse"
      id="navbarNav"

    >
      <ul class="navbar-nav">
      
        <li class="nav-item">
          <a class="nav-link" aria-current="page" [routerLink]="['/formations']">Formations</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" aria-current="page" [routerLink]="['/formateurs']">Formateurs</a>
        </li>
    
        <li class="nav-item">
          <a class="nav-link" aria-current="page" [routerLink]="['/participants']">Participants</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" aria-current="page" [routerLink]="['/sessions']">Sessions</a>
        </li>
        <li class="nav-item">
          <a class="nav-link "  
          [matMenuTriggerFor]="aboveMenu">Configurations
            <mat-menu #aboveMenu="matMenu" >
              <button mat-menu-item [routerLink]="['/domaines']">Domaines</button>
              <button mat-menu-item [routerLink]="['/organismes']">Organismes</button>
              <button mat-menu-item [routerLink]="['/pays']">Pays</button>
              <button mat-menu-item [routerLink]="['/profils']">Profils</button>
            </mat-menu></a
          >
        </li>
      </ul>
    </div>

    <form class="d-flex input-group w-auto">
      <input
        type="search"
        class="form-control rounded"
        placeholder="Search"
        aria-label="Search"
      />
      <span class="input-group-text border-0" id="search-addon">
        <i class="fas fa-search"></i>
      </span>
    </form>

        
  </div>
</nav>
<!--/.Navbar-->
<div class="mat-elevation-z8 style">
    <div class="d-flex style2">        
        <button class="btn btn-success" type="submit"  data-bs-toggle="modal" data-bs-target="#exampleModal">Ajouter Session</button>
    </div>
    <mat-form-field appearance="standard">
        <mat-label>Search</mat-label>
        <input matInput (keyup)="applyFilter($event)" placeholder="Ex. Mia" #input>
      </mat-form-field>
 
    <table mat-table [dataSource]="dataSource" matSort>
  
      <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> ID </th>
        <td mat-cell *matCellDef="let row"> {{row.id}} </td>
      </ng-container>
  
      <ng-container matColumnDef="date_Debut">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> date debutt </th>
        <td mat-cell *matCellDef="let row"> {{row.date_Debut}} </td>
      </ng-container>
      <ng-container matColumnDef="date_fin">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> date_fin </th>
        <td mat-cell *matCellDef="let row"> {{row.date_fin}} </td>
      </ng-container>
      <ng-container matColumnDef="lieu">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> lieu </th>
        <td mat-cell *matCellDef="let row"> {{row.lieu}} </td>
      </ng-container>
      <ng-container matColumnDef="nb_participant">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> nb participant </th>
        <td mat-cell *matCellDef="let row"> {{row.nb_participant}} </td>
      </ng-container>
    
      <ng-container matColumnDef="formationsss">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>formations</th>
        
        <td mat-cell *matCellDef="let row"> {{row.formationsss?.titre}} </td>
      </ng-container>
      <ng-container matColumnDef="formateurs">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Formteur</th>
        <td mat-cell *matCellDef="let row"> {{row.formateurs?.nom}} </td>
      </ng-container>
      <ng-container matColumnDef="organismess">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Organisme</th>
        <td mat-cell *matCellDef="let row"> {{row.organismess?.libelle}} </td>
      </ng-container>
      <ng-container matColumnDef="participants">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>participant</th>
        <td mat-cell *matCellDef="let row"> {{ nomDesParticipants(row) }} </td>
      </ng-container>
     
  
      <ng-container matColumnDef="modifier">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Modifier </th>
        <td mat-cell *matCellDef="let row" ><button color="black"  mat-fab aria-label="Example icon-button with a heart icon" class="icon-display "
            (click)="Editsession(row.id)" data-bs-toggle="modal" data-bs-target="#exampleModal">
            <mat-icon>edit </mat-icon>
          </button>  </td>
      </ng-container>
  
      <!-- Fruit Column -->
      <ng-container matColumnDef="supprimer">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Suprimer </th>
        <td mat-cell *matCellDef="let row">
            <button mat-fab aria-label="Example icon-button with a heart icon" color="black" class="icon-display "
            (click)="deleteThissession(row.id)">
            <mat-icon>delete</mat-icon>
          </button>
        </td>
      </ng-container>
  
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  
      <tr class="mat-row" *matNoDataRow>
        <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
      </tr>
    </table>
  
    <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page of users"></mat-paginator>
  </div>

  <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Modifier Formation</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
            <form class="row g-3" [formGroup]="form">
                <div class="col-md-6">
                    <label for="inputName" class="form-label">date de début</label>
                    <input type="text" formControlName="date_debut" class="form-control" id="date_debut">
                  </div>
                  <div class="col-md-6">
                    <label for="inputName" class="form-label">date_fin</label>
                    <input type="text" formControlName="date_fin" class="form-control" id="date">
                  </div>
                  <div class="col-md-6">
                    <label for="inputName" class="form-label">lieu</label>
                    <input type="text" formControlName="lieu" class="form-control" id="lieu">
                  </div>
                  <div class="col-md-6">
                    <label for="inputName" class="form-label">nb_participant</label>
                    <input type="text" formControlName="nb_participant" class="form-control" id="nb_participant">
                  </div>
                
                  <div class="col-md-6">
                    <label for="inputName" class="form-label">formations</label>
                    <select class="form-control" formControlName="formations">
                      <option *ngFor="let formation of formations" [value]="formation.id">{{ formation.titre }}</option>
                    </select>
                  </div>
                  <div class="col-md-6">
                    <label for="inputName" class="form-label">Formateurs</label>
                    <select class="form-control" formControlName="formateurs">
                      <option *ngFor="let formateur of formateurs" [value]="formateur.id">{{ formateur.nom }}</option>
                    </select>
                  </div>
                  <div class="col-md-6">
                    <label for="inputName" class="form-label">Organisme</label>
                    <select class="form-control" formControlName="organismess">
                      <option *ngFor="let organisme of organisme" [value]="organisme.id">{{ organisme.libelle }}</option>
                    </select>
                  </div>
                  <div class="row">
                    <div class="col-md-6">
                        <label for="inputName" class="form-label">Participants</label>
                        <select class="form-control" formControlName="participants" multiple>
                          <option *ngFor="let participant of participants" [value]="participant.id">
                            {{ participant.prenom }} {{ participant.nom }}
                            </option>
                        </select>
                      </div>
                  </div>
    
              </form>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-warning" #closebutton data-bs-dismiss="modal">Close</button>
          <button *ngIf="btnSaveShow" type="button" class="btn btn-primary" (click)="OnCreateformation()" >Register</button>
          <button *ngIf="btnUpdateShow" type="button" class="btn btn-primary" (click)="updatesession()" >Update</button>
        </div>
      </div>
    </div>
  </div>